/*jshint curly:false, eqeqeq:true, laxbreak:true, noempty:false */
/* AUTO-GENERATED. DO NOT MODIFY. */
/*

  The MIT License (MIT)

  Copyright (c) 2007-2017 Einar Lielmanis, Liam Newman, and contributors.

  Permission is hereby granted, free of charge, to any person
  obtaining a copy of this software and associated documentation files
  (the "Software"), to deal in the Software without restriction,
  including without limitation the rights to use, copy, modify, merge,
  publish, distribute, sublicense, and/or sell copies of the Software,
  and to permit persons to whom the Software is furnished to do so,
  subject to the following conditions:

  The above copyright notice and this permission notice shall be
  included in all copies or substantial portions of the Software.

  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
  NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
  BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
  ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
  SOFTWARE.


 CSS Beautifier
---------------

    Written by Harutyun Amirjanyan, (amirjanyan@gmail.com)

    Based on code initially developed by: Einar Lielmanis, <einar@jsbeautifier.org>
        http://jsbeautifier.org/

    Usage:
        css_beautify(source_text);
        css_beautify(source_text, options);

    The options are (default in brackets):
        indent_size (4)                         — indentation size,
        indent_char (space)                     — character to indent with,
        selector_separator_newline (true)       - separate selectors with newline or
                                                  not (e.g. "a,\nbr" or "a, br")
        end_with_newline (false)                - end with a newline
        newline_between_rules (true)            - add a new line after every css rule
        space_around_selector_separator (false) - ensure space around selector separators:
                                                  '>', '+', '~' (e.g. "a>b" -> "a > b")
    e.g

    css_beautify(css_source_text, {
      'indent_size': 1,
      'indent_char': '\t',
      'selector_separator': ' ',
      'end_with_newline': false,
      'newline_between_rules': true,
      'space_around_selector_separator': true
    });
*/

// http://www.w3.org/TR/CSS21/syndata.html#tokenization
// http://www.w3.org/TR/css3-syntax/

(function() {
var legacy_beautify_css=function(e){var n={};function t(i){if(n[i])return n[i].exports;var r=n[i]={i:i,l:!1,exports:{}};return e[i].call(r.exports,r,r.exports,t),r.l=!0,r.exports}return t.m=e,t.c=n,t.d=function(e,n,i){t.o(e,n)||Object.defineProperty(e,n,{configurable:!1,enumerable:!0,get:i})},t.r=function(e){Object.defineProperty(e,"__esModule",{value:!0})},t.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(n,"a",n),n},t.o=function(e,n){return Object.prototype.hasOwnProperty.call(e,n)},t.p="",t(t.s=4)}([function(e,n){function t(e){var n=0,t=-1,i=[],r=!0;this.set_indent=function(i){n=e.baseIndentLength+i*e.indent_length,t=i},this.get_character_count=function(){return n},this.is_empty=function(){return r},this.last=function(){return this._empty?null:i[i.length-1]},this.push=function(e){i.push(e),n+=e.length,r=!1},this.pop=function(){var e=null;return r||(e=i.pop(),n-=e.length,r=0===i.length),e},this.remove_indent=function(){t>0&&(t-=1,n-=e.indent_length)},this.trim=function(){for(;" "===this.last();)i.pop(),n-=1;r=0===i.length},this.toString=function(){var n="";return this._empty||(t>=0&&(n=e.indent_cache[t]),n+=i.join("")),n}}e.exports.Output=function(e,n){n=n||"",this.indent_cache=[n],this.baseIndentLength=n.length,this.indent_length=e.length,this.raw=!1;var i=[];this.baseIndentString=n,this.indent_string=e,this.previous_line=null,this.current_line=null,this.space_before_token=!1,this.add_outputline=function(){this.previous_line=this.current_line,this.current_line=new t(this),i.push(this.current_line)},this.add_outputline(),this.get_line_number=function(){return i.length},this.add_new_line=function(e){return!(1===this.get_line_number()&&this.just_added_newline()||!e&&this.just_added_newline()||(this.raw||this.add_outputline(),0))},this.get_code=function(e,n){var t=i.join("\n").replace(/[\r\n\t ]+$/,"");return e&&(t+="\n"),"\n"!==n&&(t=t.replace(/[\n]/g,n)),t},this.set_indent=function(e){if(i.length>1){for(;e>=this.indent_cache.length;)this.indent_cache.push(this.indent_cache[this.indent_cache.length-1]+this.indent_string);return this.current_line.set_indent(e),!0}return this.current_line.set_indent(0),!1},this.add_raw_token=function(e){for(var n=0;n<e.newlines;n++)this.add_outputline();this.current_line.push(e.whitespace_before),this.current_line.push(e.text),this.space_before_token=!1},this.add_token=function(e){this.add_space_before_token(),this.current_line.push(e)},this.add_space_before_token=function(){this.space_before_token&&!this.just_added_newline()&&this.current_line.push(" "),this.space_before_token=!1},this.remove_indent=function(e){for(var n=i.length;e<n;)i[e].remove_indent(),e++},this.trim=function(t){for(t=void 0!==t&&t,this.current_line.trim(e,n);t&&i.length>1&&this.current_line.is_empty();)i.pop(),this.current_line=i[i.length-1],this.current_line.trim();this.previous_line=i.length>1?i[i.length-2]:null},this.just_added_newline=function(){return this.current_line.is_empty()},this.just_added_blankline=function(){return!!this.just_added_newline()&&(1===i.length||i[i.length-2].is_empty())}}},function(e,n){var t="ªµºÀ-ÖØ-öø-ˁˆ-ˑˠ-ˤˬˮͰ-ʹͶͷͺ-ͽΆΈ-ΊΌΎ-ΡΣ-ϵϷ-ҁҊ-ԧԱ-Ֆՙա-ևא-תװ-ײؠ-يٮٯٱ-ۓەۥۦۮۯۺ-ۼۿܐܒ-ܯݍ-ޥޱߊ-ߪߴߵߺࠀ-ࠕࠚࠤࠨࡀ-ࡘࢠࢢ-ࢬऄ-हऽॐक़-ॡॱ-ॷॹ-ॿঅ-ঌএঐও-নপ-রলশ-হঽৎড়ঢ়য়-ৡৰৱਅ-ਊਏਐਓ-ਨਪ-ਰਲਲ਼ਵਸ਼ਸਹਖ਼-ੜਫ਼ੲ-ੴઅ-ઍએ-ઑઓ-નપ-રલળવ-હઽૐૠૡଅ-ଌଏଐଓ-ନପ-ରଲଳଵ-ହଽଡ଼ଢ଼ୟ-ୡୱஃஅ-ஊஎ-ஐஒ-கஙசஜஞடணதந-பம-ஹௐఅ-ఌఎ-ఐఒ-నప-ళవ-హఽౘౙౠౡಅ-ಌಎ-ಐಒ-ನಪ-ಳವ-ಹಽೞೠೡೱೲഅ-ഌഎ-ഐഒ-ഺഽൎൠൡൺ-ൿඅ-ඖක-නඳ-රලව-ෆก-ะาำเ-ๆກຂຄງຈຊຍດ-ທນ-ຟມ-ຣລວສຫອ-ະາຳຽເ-ໄໆໜ-ໟༀཀ-ཇཉ-ཬྈ-ྌက-ဪဿၐ-ၕၚ-ၝၡၥၦၮ-ၰၵ-ႁႎႠ-ჅჇჍა-ჺჼ-ቈቊ-ቍቐ-ቖቘቚ-ቝበ-ኈኊ-ኍነ-ኰኲ-ኵኸ-ኾዀዂ-ዅወ-ዖዘ-ጐጒ-ጕጘ-ፚᎀ-ᎏᎠ-Ᏼᐁ-ᙬᙯ-ᙿᚁ-ᚚᚠ-ᛪᛮ-ᛰᜀ-ᜌᜎ-ᜑᜠ-ᜱᝀ-ᝑᝠ-ᝬᝮ-ᝰក-ឳៗៜᠠ-ᡷᢀ-ᢨᢪᢰ-ᣵᤀ-ᤜᥐ-ᥭᥰ-ᥴᦀ-ᦫᧁ-ᧇᨀ-ᨖᨠ-ᩔᪧᬅ-ᬳᭅ-ᭋᮃ-ᮠᮮᮯᮺ-ᯥᰀ-ᰣᱍ-ᱏᱚ-ᱽᳩ-ᳬᳮ-ᳱᳵᳶᴀ-ᶿḀ-ἕἘ-Ἕἠ-ὅὈ-Ὅὐ-ὗὙὛὝὟ-ώᾀ-ᾴᾶ-ᾼιῂ-ῄῆ-ῌῐ-ΐῖ-Ίῠ-Ῥῲ-ῴῶ-ῼⁱⁿₐ-ₜℂℇℊ-ℓℕℙ-ℝℤΩℨK-ℭℯ-ℹℼ-ℿⅅ-ⅉⅎⅠ-ↈⰀ-Ⱞⰰ-ⱞⱠ-ⳤⳫ-ⳮⳲⳳⴀ-ⴥⴧⴭⴰ-ⵧⵯⶀ-ⶖⶠ-ⶦⶨ-ⶮⶰ-ⶶⶸ-ⶾⷀ-ⷆⷈ-ⷎⷐ-ⷖⷘ-ⷞⸯ々-〇〡-〩〱-〵〸-〼ぁ-ゖゝ-ゟァ-ヺー-ヿㄅ-ㄭㄱ-ㆎㆠ-ㆺㇰ-ㇿ㐀-䶵一-鿌ꀀ-ꒌꓐ-ꓽꔀ-ꘌꘐ-ꘟꘪꘫꙀ-ꙮꙿ-ꚗꚠ-ꛯꜗ-ꜟꜢ-ꞈꞋ-ꞎꞐ-ꞓꞠ-Ɦꟸ-ꠁꠃ-ꠅꠇ-ꠊꠌ-ꠢꡀ-ꡳꢂ-ꢳꣲ-ꣷꣻꤊ-ꤥꤰ-ꥆꥠ-ꥼꦄ-ꦲꧏꨀ-ꨨꩀ-ꩂꩄ-ꩋꩠ-ꩶꩺꪀ-ꪯꪱꪵꪶꪹ-ꪽꫀꫂꫛ-ꫝꫠ-ꫪꫲ-ꫴꬁ-ꬆꬉ-ꬎꬑ-ꬖꬠ-ꬦꬨ-ꬮꯀ-ꯢ가-힣ힰ-ퟆퟋ-ퟻ豈-舘並-龎ﬀ-ﬆﬓ-ﬗיִײַ-ﬨשׁ-זּטּ-לּמּנּסּףּפּצּ-ﮱﯓ-ﴽﵐ-ﶏﶒ-ﷇﷰ-ﷻﹰ-ﹴﹶ-ﻼＡ-Ｚａ-ｚｦ-ﾾￂ-ￇￊ-ￏￒ-ￗￚ-ￜ",i=new RegExp("["+t+"]"),r=new RegExp("["+t+"̀-ͯ҃-֑҇-ׇֽֿׁׂׅׄؐ-ؚؠ-ىٲ-ۓۧ-ۨۻ-ۼܰ-݊ࠀ-ࠔࠛ-ࠣࠥ-ࠧࠩ-࠭ࡀ-ࡗࣤ-ࣾऀ-ःऺ-़ा-ॏ॑-ॗॢ-ॣ०-९ঁ-ঃ়া-ৄেৈৗয়-ৠਁ-ਃ਼ਾ-ੂੇੈੋ-੍ੑ੦-ੱੵઁ-ઃ઼ા-ૅે-ૉો-્ૢ-ૣ૦-૯ଁ-ଃ଼ା-ୄେୈୋ-୍ୖୗୟ-ୠ୦-୯ஂா-ூெ-ைொ-்ௗ௦-௯ఁ-ఃె-ైొ-్ౕౖౢ-ౣ౦-౯ಂಃ಼ಾ-ೄೆ-ೈೊ-್ೕೖೢ-ೣ೦-೯ംഃെ-ൈൗൢ-ൣ൦-൯ංඃ්ා-ුූෘ-ෟෲෳิ-ฺเ-ๅ๐-๙ິ-ູ່-ໍ໐-໙༘༙༠-༩༹༵༷ཁ-ཇཱ-྄྆-྇ྍ-ྗྙ-ྼ࿆က-ဩ၀-၉ၧ-ၭၱ-ၴႂ-ႍႏ-ႝ፝-፟ᜎ-ᜐᜠ-ᜰᝀ-ᝐᝲᝳក-ឲ៝០-៩᠋-᠍᠐-᠙ᤠ-ᤫᤰ-᤻ᥑ-ᥭᦰ-ᧀᧈ-ᧉ᧐-᧙ᨀ-ᨕᨠ-ᩓ᩠-᩿᩼-᪉᪐-᪙ᭆ-ᭋ᭐-᭙᭫-᭳᮰-᮹᯦-᯳ᰀ-ᰢ᱀-᱉ᱛ-ᱽ᳐-᳒ᴀ-ᶾḁ-ἕ‌‍‿⁀⁔⃐-⃥⃜⃡-⃰ⶁ-ⶖⷠ-ⷿ〡-〨゙゚Ꙁ-ꙭꙴ-꙽ꚟ꛰-꛱ꟸ-ꠀ꠆ꠋꠣ-ꠧꢀ-ꢁꢴ-꣄꣐-꣙ꣳ-ꣷ꤀-꤉ꤦ-꤭ꤰ-ꥅꦀ-ꦃ꦳-꧀ꨀ-ꨧꩀ-ꩁꩌ-ꩍ꩐-꩙ꩻꫠ-ꫩꫲ-ꫳꯀ-ꯡ꯬꯭꯰-꯹ﬠ-ﬨ︀-️︠-︦︳︴﹍-﹏０-９＿]");n.newline=/[\n\r\u2028\u2029]/,n.lineBreak=new RegExp("\r\n|"+n.newline.source),n.allLineBreaks=new RegExp(n.lineBreak.source,"g"),n.isIdentifierStart=function(e){return e<65?36===e||64===e:e<91||(e<97?95===e:e<123||e>=170&&i.test(String.fromCharCode(e)))},n.isIdentifierChar=function(e){return e<48?36===e:e<58||!(e<65)&&(e<91||(e<97?95===e:e<123||e>=170&&r.test(String.fromCharCode(e))))}},function(e,n){e.exports.mergeOpts=function(e,n){var t,i={};for(t in e)t!==n&&(i[t]=e[t]);if(n in e)for(t in e[n])i[t]=e[n][t];return i}},function(e,n,t){var i=t(2).mergeOpts,r=t(1),s=t(0).Output,o=r.lineBreak,_=r.allLineBreaks;e.exports.Beautifier=function(e,n){n=i(n=n||{},"css"),e=e||"";var t=0,r=n.indent_size?parseInt(n.indent_size,10):4,u=n.indent_char||" ",a=void 0!==n.preserve_newlines&&n.preserve_newlines,c=void 0===n.selector_separator_newline||n.selector_separator_newline,l=void 0!==n.end_with_newline&&n.end_with_newline,h=void 0===n.newline_between_rules||n.newline_between_rules,d=void 0!==n.space_around_combinator&&n.space_around_combinator;d=d||void 0!==n.space_around_selector_separator&&n.space_around_selector_separator;var f=n.eol?n.eol:"auto";n.indent_with_tabs&&(u="\t",r=1),"auto"===f&&(f="\n",e&&o.test(e||"")&&(f=e.match(o)[0])),f=f.replace(/\\r/,"\r").replace(/\\n/,"\n"),e=e.replace(_,"\n");var p,g=/^\s+$/,w=-1,v=0;function b(){return(p=e.charAt(++w))||""}function m(n){var t,i=w;return n&&x(),t=e.charAt(w+1)||"",w=i-1,b(),t}function k(n){for(var t=w;b();)if("\\"===p)b();else{if(-1!==n.indexOf(p))break;if("\n"===p)break}return e.substring(t,w+1)}function x(e){for(var n=0;g.test(m());)b(),"\n"===p&&e&&a&&(C.add_new_line(!0),n++);return t=n,n}function y(){var e="";for(p&&g.test(p)&&(e=p);g.test(b());)e+=p;return e}function O(){var n=w,t="/"===m();for(b();b();){if(!t&&"*"===p&&"/"===m()){b();break}if(t&&"\n"===p)return e.substring(n,w)}return e.substring(n,w)+p}function j(n){return e.substring(w-n.length,w).toLowerCase()===n}function E(){for(var n=0,t=w+1;t<e.length;t++){var i=e.charAt(t);if("{"===i)return!0;if("("===i)n+=1;else if(")"===i){if(0===n)return!1;n-=1}else if(";"===i||"}"===i)return!1}return!1}var L="",A=0;if(e&&e.length){for(;" "===e.charAt(A)||"\t"===e.charAt(A);)A+=1;L=e.substring(0,A),e=e.substring(A)}var I,R,C,B=new Array(r+1).join(u);function S(e){C.just_added_newline()&&C.set_indent(I),C.add_token(e)}function N(e){e&&(C.space_before_token=!0)}this.beautify=function(){C=new s(B,L),I=0,R=0,w=-1,p=null,v=0;for(var e,n,i=!1,r=!1,o=!1,_="",u="";;){var a=y(),A=""!==a,T=-1!==a.indexOf("\n");if(u=_,_=p,!p)break;if("/"===p&&"*"===m()){var U=0===I;(T||U)&&C.add_new_line(),S(O()),C.add_new_line(),U&&C.add_new_line(!0)}else if("/"===p&&"/"===m())T||"{"===u||C.trim(!0),C.space_before_token=!0,S(O()),C.add_new_line();else if("@"===p)if(N(A),"{"===m())S(k("}"));else{S(p);var P=(e=void 0,n=void 0,e=w,n=k(": ,;{}()[]/='\""),w=e-1,b(),n);P.match(/[ :]$/)&&(b(),S(P=k(": ").replace(/\s$/,"")),C.space_before_token=!0),(P=P.replace(/\s$/,""))in this.NESTED_AT_RULE&&(R+=1,P in this.CONDITIONAL_GROUP_RULE&&(o=!0))}else"#"===p&&"{"===m()?(N(A),S(k("}"))):"{"===p?"}"===m(!0)?(x(),b(),C.space_before_token=!0,S("{}"),x(!0)||C.add_new_line(),t<2&&h&&0===I&&C.add_new_line(!0)):(I++,C.space_before_token=!0,S(p),x(!0)||C.add_new_line(),o?(o=!1,i=I>R):i=I>=R):"}"===p?(I>0&&I--,C.add_new_line(),S(p),i=!1,r=!1,R&&R--,x(!0)||C.add_new_line(),t<2&&h&&0===I&&C.add_new_line(!0)):":"===p?(x(),!i&&!o||j("&")||E()||j("(")?(j(" ")&&(C.space_before_token=!0),":"===m()?(b(),S("::")):S(":")):(S(":"),r||(r=!0,C.space_before_token=!0))):'"'===p||"'"===p?(N(A),S(k(p))):";"===p?(r=!1,S(p),x(!0)||C.add_new_line()):"("===p?j("url")?(S(p),x(),b()&&(")"!==p&&'"'!==p&&"'"!==p?S(k(")")):w--)):(v++,N(A),S(p),x()):")"===p?(S(p),v--):","===p?(S(p),!x(!0)&&c&&!r&&v<1?C.add_new_line():C.space_before_token=!0):(">"===p||"+"===p||"~"===p)&&!r&&v<1?d?(C.space_before_token=!0,S(p),C.space_before_token=!0):(S(p),x(),p&&g.test(p)&&(p="")):"]"===p?S(p):"["===p?(N(A),S(p)):"="===p?(x(),S("="),g.test(p)&&(p="")):"!"===p?(S(" "),S(p)):(N(A),S(p))}return C.get_code(l,f)},this.NESTED_AT_RULE={"@page":!0,"@font-face":!0,"@keyframes":!0,"@media":!0,"@supports":!0,"@document":!0},this.CONDITIONAL_GROUP_RULE={"@media":!0,"@supports":!0,"@document":!0}}},function(e,n,t){var i=t(3).Beautifier;e.exports=function(e,n){return new i(e,n).beautify()}}]);
var css_beautify = legacy_beautify_css;
/* Footer */
if (typeof define === "function" && define.amd) {
    // Add support for AMD ( https://github.com/amdjs/amdjs-api/wiki/AMD#defineamd-property- )
    define([], function() {
        return {
            css_beautify: css_beautify
        };
    });
} else if (typeof exports !== "undefined") {
    // Add support for CommonJS. Just put this file somewhere on your require.paths
    // and you will be able to `var html_beautify = require("beautify").html_beautify`.
    exports.css_beautify = css_beautify;
} else if (typeof window !== "undefined") {
    // If we're running a web page and don't have either of the above, add our one global
    window.css_beautify = css_beautify;
} else if (typeof global !== "undefined") {
    // If we don't even have window, try global.
    global.css_beautify = css_beautify;
}

}());
